import * as ts from 'typescript';
declare module '../build/hooks' {
    interface NgPackagrBuilderTaskSchema {
        nodeLib: {
            /**
             * The file path of the TypeScript configuration file, specific for node library generation.
             * If not set will use the tsConfig of the project
             */
            tsConfig?: string;
            /**
             * Compiler options overriding the one's in the file
             */
            compilerOptions?: ts.CompilerOptions;
        };
    }
}
declare module '../build/utils' {
    interface EntryPointStorage {
        nodeLib: {
            tsConfig: Pick<ts.CreateProgramOptions, 'rootNames' | 'options' | 'projectReferences'>;
            watchProgram?: ts.WatchOfFilesAndCompilerOptions<ts.EmitAndSemanticDiagnosticsBuilderProgram>;
        };
    }
}
export declare class NodeLib {
}
//# sourceMappingURL=node-lib.d.ts.map