import { Observable } from 'rxjs';
import { BuildEvent, BuilderConfiguration } from '@angular-devkit/architect';
import { NgPackagrBuilder as _NgPackagrBuilder } from '@angular-devkit/build-ng-packagr';
import './workaround-issue-1189';
import { NgPackagrBuilderOptionsWithTasks } from './hooks';
export * from './hooks';
export * from './hook-registry';
export { Job, JobMetadata, Type } from './job';
export { ENTRY_POINT_STORAGE, EntryPointStorage } from './utils';
export declare class NgPackagrBuilder extends _NgPackagrBuilder {
    private options;
    run(builderConfig: BuilderConfiguration<NgPackagrBuilderOptionsWithTasks>): Observable<BuildEvent>;
    private buildRegistry;
}
export default NgPackagrBuilder;
//# sourceMappingURL=index.d.ts.map